-- Código para ejecutar los procedimientos para los test --

-- Datos test de la tabla CONVOCATORIA --

DECLARE
RSP varchar2(150 char);

BEGIN
    P_TEST_CONV(NULL,'30/04/2016','Generales','01/01/2016','D’Hondt', 'CONVOCATORIA', 'INSERT' ,RSP);
    P_TEST_CONV('16/03/2016',NULL,'Generales','01/01/2016','D’Hondt', 'CONVOCATORIA', 'INSERT' ,RSP);
    P_TEST_CONV('16/03/2016','30/04/2016',NULL,'01/01/2016','D’Hondt', 'CONVOCATORIA', 'INSERT' ,RSP);
    P_TEST_CONV('16/03/2016','30/04/2016','Generales','01/01/2016',NULL, 'CONVOCATORIA', 'INSERT' ,RSP);
    P_TEST_CONV('16/03/2016','30/04/2016','Generales','01/01/2016','Patatas', 'CONVOCATORIA', 'INSERT' ,RSP);
    P_TEST_CONV('16/03/2016','30/04/2016','Generales','01/01/2016','D’Hondt', 'CONVOCATORIA', 'INSERT' ,RSP);
    P_TEST_CONV('16/03/2016','16/04/2016','Generales','01/01/2016','D’Hondt', 'CONVOCATORIA', 'INSERT' ,RSP);
    P_TEST_CONV('16/03/2016','30/04/2016','Tomates','01/01/2016','D’Hondt', 'CONVOCATORIA', 'INSERT' ,RSP);
    P_TEST_CONV('16/03/2016','30/04/2016','Generales','01/01/2016','D’Hondt', 'CONVOCATORIA', 'INSERT' ,RSP);
    P_TEST_CONV(NULL,'30/04/2016','Generales','01/01/2016','D’Hondt', 'CONVOCATORIA', 'UPDATE' ,RSP);
    P_TEST_CONV('16/03/2016','30/04/2016','Municipales','01/01/2016','D’Hondt', 'CONVOCATORIA', 'UPDATE' ,RSP);
    P_TEST_CONV('16/03/2016','30/04/2016','Generales','01/01/2016','D’Hondt', 'CONVOCATORIA', 'DELETE' ,RSP);
    P_TEST_CONV('16/03/2011','30/04/2011','Generales','01/01/2011','D’Hondt', 'CONVOCATORIA', 'DELETE' ,RSP);
    DBMS_OUTPUT.put_line(RSP); 
END;
/

-- Datos test de la tabla REGLASELECCIONES --
DECLARE
RSP varchar2(150 char);

BEGIN
    p_test_reglas_elec(NULL,'Generales', 26,'Regla26', 'REGLASELECCIONES', 'INSERT' ,RSP);
    p_test_reglas_elec('16/03/2011', NULL, 26,'Regla26','REGLASELECCIONES', 'INSERT' ,RSP);
    p_test_reglas_elec('16/03/2011', 'Generales', NULL,'Regla26','REGLASELECCIONES', 'INSERT' ,RSP);
    p_test_reglas_elec('16/03/2011', 'De mi pueblo', 1,'Regla26','REGLASELECCIONES', 'INSERT' ,RSP);
    p_test_reglas_elec('16/03/2016', 'Generales', 26,'Regla26','REGLASELECCIONES', 'INSERT' ,RSP);
    p_test_reglas_elec('16/03/2011', 'Generales', 26,'Regla26','REGLASELECCIONES', 'INSERT' ,RSP);
    p_test_reglas_elec('16/03/2011', 'Municipales', NULL,'Regla26','REGLASELECCIONES', 'UPDATE' ,RSP);
    p_test_reglas_elec('16/03/2011', 'De mi pueblo', 26,'Regla26','REGLASELECCIONES', 'UPDATE' ,RSP);
    p_test_reglas_elec('16/03/2011', 'Municipales', 26,'Regla26','REGLASELECCIONES', 'DELETE' ,RSP);
END;
/

-- Datos test de la tabla DEMARCACION --

DECLARE
RSP varchar2(150 char);

BEGIN
    p_test_demarcacion (NULL, 'region7', 'pais7', 'DEMARCACION', 'INSERT' ,RSP);
    p_test_demarcacion ('provincia7', NULL, 'pais7','DEMARCACION', 'INSERT' ,RSP);
    p_test_demarcacion ('provincia7', 'region7', NULL, 'DEMARCACION', 'INSERT' ,RSP);
    p_test_demarcacion ('provincia7', 'region7', 'pais7','DEMARCACION', 'INSERT' ,RSP);
    p_test_demarcacion ('provincia7', 'region7', NULL, 'DEMARCACION', 'UPDATE' ,RSP);
    p_test_demarcacion ('provincia7', 'region9', 'pais7', 'DEMARCACION', 'UPDATE' ,RSP);
    p_test_demarcacion ('provincia7', 'region9', 'pais7', 'DEMARCACION', 'DELETE' ,RSP);
    p_test_demarcacion ('provincia1', 'region1', 'pais1', 'DEMARCACION', 'DELETE' ,RSP);
   
END;
/

-- Datos test de la tabla RECIBE --

DECLARE
RSP varchar2(150 char);

BEGIN
    p_test_recibe (NULL, 'Generales', 'provincia1', 3, 'RECIBE', 'INSERT' ,RSP);
    p_test_recibe ('24/06/13', NULL, 'provincia1', 3, 'RECIBE', 'INSERT' ,RSP);
    p_test_recibe ('24/06/13', 'Generales', NULL, 3, 'RECIBE', 'INSERT' ,RSP);
    p_test_recibe ('24/06/13', 'Generales', 'provincia1', NULL, 'RECIBE', 'INSERT' ,RSP);
    p_test_recibe ('24/06/13', 'Generales', 'provincia1', 3, 'RECIBE', 'INSERT' ,RSP);
    p_test_recibe ('24/06/13', 'Generales', 'provincia1', -3, 'RECIBE', 'UPDATE' ,RSP);
    p_test_recibe ('16/03/11', 'Otras', 'provincia1', 3, 'RECIBE', 'UPDATE' ,RSP);
    p_test_recibe ('16/03/10', 'Generales', 'provincia1', 3, 'RECIBE', 'DELETE' ,RSP);
   
END;
/

-- Datos test de la tabla CentroVotacion --

DECLARE
RSP varchar2(150 char);

BEGIN
    p_test_centro_vot (NULL, 'provincia1', 'CENTROVOTACION', 'INSERT' ,RSP);
    p_test_centro_vot ('municipio1', NULL, 'CENTROVOTACION', 'INSERT' ,RSP);
    p_test_centro_vot ('municipio27', 'provincia1', 'CENTROVOTACION', 'INSERT' ,RSP);
    p_test_centro_vot ('municipio1', 'provincia1', 'CENTROVOTACION', 'INSERT' ,RSP);
    p_test_centro_vot ('municipio1', 'provincia27', 'CENTROVOTACION', 'UPDATE' ,RSP);
    p_test_centro_vot ('municipio27', 'provincia1', 'CENTROVOTACION', 'DELETE' ,RSP);
END;
/

-- Datos test de la tabla ComunicacionPersonal --

DECLARE
RSP varchar2(150 char);

BEGIN
    p_test_com_per (NULL, 'COMUNICACIONPERSONAL', 'INSERT' ,RSP);
    p_test_com_per ('29/06/13','COMUNICACIONPERSONAL', 'INSERT' ,RSP);
    p_test_com_per ('29/06/13','COMUNICACIONPERSONAL', 'INSERT' ,RSP);
    p_test_com_per (NULL, 'COMUNICACIONPERSONAL', 'UPDATE' ,RSP);
    p_test_com_per ('29/06/13','COMUNICACIONPERSONAL', 'DELETE' ,RSP);
END;
/

-- Datos test de la tabla CensoElectoral

DECLARE
RSP varchar2(150 char);

BEGIN
    p_test_censo (NULL, 'CENSOELECTORAL', 'INSERT' ,RSP);
    p_test_censo ('29/06/13','CENSOELECTORAL', 'INSERT' ,RSP);
    p_test_censo ('29/06/13','CENSOELECTORAL', 'INSERT' ,RSP);
    p_test_censo (NULL, 'CENSOELECTORAL', 'UPDATE' ,RSP);
    p_test_censo ('29/06/13','CENSOELECTORAL', 'DELETE' ,RSP);
    p_test_censo ('01/01/16','CENSOELECTORAL', 'DELETE' ,RSP);
END;
/

-- Datos test de la tabla MesaElectoral

DECLARE
RSP varchar2(150 char);

BEGIN
    p_test_mesa_electoral(NULL, '30/04/2011','Generales', '12345', 'calle99', 1, 'municipio1', 'provincia1', 46, 38, 'MESAELECTORAL', 'INSERT' ,RSP);
    p_test_mesa_electoral('mesa1', NULL,'Generales', '12345', 'calle1', 1, 'municipio1', 'provincia1', 46, 38, 'MESAELECTORAL', 'UPDATE' ,RSP);
    p_test_mesa_electoral('Mesa99','30/04/2011',NULL, '12345', 'calle99', 1, 'municipio1', 'provincia1', 46, 38, 'MESAELECTORAL', 'INSERT' ,RSP);
    p_test_mesa_electoral('Mesa99','30/04/2011','otro', '12345', 'calle99', 1, 'municipio1', 'provincia1', 46, 38, 'MESAELECTORAL', 'INSERT' ,RSP);
    p_test_mesa_electoral('Mesa99','30/04/2011','Generales', NULL, 'calle99', 1, 'municipio1', 'provincia1', 46, 38, 'MESAELECTORAL', 'INSERT' ,RSP);
    p_test_mesa_electoral('Mesa99','30/04/2011','Generales', '12345', NULL, 1, 'municipio1', 'provincia1', 46, 38, 'MESAELECTORAL', 'INSERT' ,RSP);
    p_test_mesa_electoral('Mesa99','30/04/2011','Generales', '12345', 'calle99', NULL, 'municipio1', 'provincia1', 46, 38, 'MESAELECTORAL', 'INSERT' ,RSP);
    p_test_mesa_electoral('Mesa99','30/04/2011','Generales', '12345', 'calle99', 1, NULL, 'provincia1', 46, 38, 'MESAELECTORAL', 'INSERT' ,RSP);
    p_test_mesa_electoral('Mesa99','30/04/2011','Generales', '12345', 'calle99', 1, 'municipio1', NULL, 46, 38, 'MESAELECTORAL', 'INSERT' ,RSP);
    p_test_mesa_electoral('Mesa99','30/04/2011','Generales', '12345', 'calle99', 1, 'municipio1', 'provincia1', -46, 38, 'MESAELECTORAL', 'INSERT' ,RSP);
    p_test_mesa_electoral('Mesa99','30/04/2011','Generales', '12345', 'calle99', 1, 'municipio1', 'provincia1', 46, -38, 'MESAELECTORAL', 'INSERT' ,RSP);
    p_test_mesa_electoral('Mesa99','30/04/2011','Generales', '12345', 'calle99', 1, 'municipio1', 'provincia1', 46, 83, 'MESAELECTORAL', 'INSERT' ,RSP);
    p_test_mesa_electoral('Mesa99','30/04/2011','Generales', '12345', 'calle99', 1, 'municipio1', 'provincia1', 46, 38, 'MESAELECTORAL', 'INSERT' ,RSP);
    p_test_mesa_electoral('Mesa99','30/04/2011','Municipales', '12345', 'calle99', 1, 'municipio1', 'provincia1', 46, 38, 'MESAELECTORAL', 'UPDATE' ,RSP);
    p_test_mesa_electoral('mesa1','30/04/2011','Generales', '12345', 'calle1', 1, 'municipio1', 'provincia1', 46, 38, 'MESAELECTORAL', 'DELETE' ,RSP);
    p_test_mesa_electoral('Mesa99','30/04/2011','Generales', '12345', 'calle99', 1, 'municipio1', 'provincia1', 46, 38, 'MESAELECTORAL', 'DELETE' ,RSP);
    DBMS_OUTPUT.put_line(RSP); 
END;
/


-- Datos test de la tabla Persona

DECLARE
RSP varchar2(150 char);

BEGIN
    p_test_persona(NULL, '01/08/20', 'Nombre337', 'Apellidos337', 'Mujer', 'Nacionalidad1', '26/06/69', 'municipio7', 'FP', 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'INSERT', RSP);
    p_test_persona('1000336', NULL, 'Nombre337', 'Apellidos337', 'Mujer', 'Nacionalidad1', '26/06/69', 'municipio7', 'FP', 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'INSERT', RSP);
    p_test_persona('1000336', '01/08/20', NULL, 'Apellidos337', 'Mujer', 'Nacionalidad1', '26/06/69', 'municipio7', 'FP', 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'INSERT' ,RSP);
    p_test_persona('1000336', '01/08/20', 'Nombre337', NULL, 'Mujer', 'Nacionalidad1', '26/06/69', 'municipio7', 'FP', 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'INSERT' ,RSP);
    p_test_persona('1000336', '01/08/20', 'Nombre337', 'Apellidos337', NULL, 'Nacionalidad1', '26/06/69', 'municipio7', 'FP', 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'INSERT' ,RSP);
    p_test_persona('1000336', '01/08/20', 'Nombre337', 'Apellidos337', 'Mujer', NULL, '26/06/69', 'municipio7', 'FP', 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'INSERT' ,RSP);
    p_test_persona('1000336', '01/08/20', 'Nombre337', 'Apellidos337', 'Mujer', 'Nacionalidad1', NULL, 'municipio7', 'FP', 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'INSERT' ,RSP);
    p_test_persona('9000336', '01/08/20', 'Nombre337', 'Apellidos99', 'Mujer', 'Nacionalidad1', '26/06/2023', 'municipio7', 'FP', 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'INSERT' ,RSP);
    p_test_persona('9000336', '01/08/20', 'Nombre337', 'Apellidos99', 'Mujer', 'Nacionalidad1', '26/06/1984', 'municipio7', NULL, 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'INSERT' ,RSP);
    p_test_persona('9000336', '01/08/20', 'Nombre337', 'Apellidos99', 'Mujer', 'Nacionalidad1', '26/06/1984', 'municipio7', 'FP', 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'INSERT' ,RSP);
    p_test_persona('9000336', '01/08/20', 'Nombre337', 'Apellidos99', 'Mujer', 'Nacionalidad1', '26/06/1984', 'municipio7', 'FP', 'Telefono337', NULL, 'Direccion337', 'PERSONA', 'UPDATE' ,RSP);
    p_test_persona('9000336', '01/08/20', 'Nombre337', 'Apellidos99', 'Mujer', 'Nacionalidad1', '26/06/1984', 'municipio7', 'FP', 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'UPDATE' ,RSP);
    p_test_persona('9000336', '01/08/20', 'Nombre337', 'Apellidos99', 'Mujer', 'Nacionalidad1', '26/06/1984', 'municipio7', 'Ninguno', 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'UPDATE' ,RSP);
    p_test_persona('9000336', '01/08/20', 'Nombre337', 'Apellidos99', 'Mujer', 'Nacionalidad1', '26/06/1984', 'municipio7', 'FP', 'Telefono337', 'Tal vez', 'Direccion337', 'PERSONA', 'UPDATE' ,RSP);
    p_test_persona('9000336', '01/08/20', 'Nombre337', 'Apellidos99', 'Gato', 'Nacionalidad1', '26/06/1984', 'municipio7', 'FP', 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'UPDATE' ,RSP);
    p_test_persona('1000336', '01/08/20', 'Nombre337', 'Apellidos337', 'Mujer', 'Nacionalidad1', '26/06/69', 'municipio7', 'FP', 'Telefono337', 'NO', 'Direccion337', 'PERSONA',  'DELETE', RSP);
    p_test_persona('9000336', '01/08/20', 'Nombre337', 'Apellidos99', 'Mujer', 'Nacionalidad1', '26/06/1984', 'municipio7', 'FP', 'Telefono337', 'NO', 'Direccion337', 'PERSONA', 'DELETE' ,RSP);
    DBMS_OUTPUT.put_line(RSP); 
END;
/

-- Datos test de la tabla Candidato

DECLARE
RSP varchar2(150 char);

BEGIN
    p_test_candidato (NULL, '01/01/20', 0,  'CANDIDATO', 'INSERT', RSP);
    p_test_candidato ('1000414', NULL, 0,  'CANDIDATO', 'INSERT', RSP);
    p_test_candidato ('1000414', '01/08/20', NULL,  'CANDIDATO', 'INSERT', RSP);
    p_test_candidato ('1000416', '01/08/20', 0, 'CANDIDATO', 'INSERT', RSP);
    p_test_candidato ('1000416', '01/08/20', -1, 'CANDIDATO', 'UPDATE', RSP);
    p_test_candidato ('1000416', '01/08/20', 1, 'CANDIDATO', 'UPDATE', RSP);
    p_test_candidato ('1000416', '01/08/20', 1, 'CANDIDATO', 'DELETE', RSP);
END;
/

-- Datos test de la tabla Presidente

DECLARE
RSP varchar2(150 char);

BEGIN
    p_test_presidente (NULL, '01/08/20', 0, 0, 'PRESIDENTE', 'INSERT', RSP);
    p_test_presidente ('1000003', NULL, 0, 0, 'PRESIDENTE', 'INSERT', RSP);
    p_test_presidente ('1000003', '01/08/20', NULL, 0, 'PRESIDENTE', 'INSERT', RSP);
    p_test_presidente ('1000003', '01/08/20', 0, NULL, 'PRESIDENTE', 'INSERT', RSP);
    p_test_presidente ('9000003', '01/08/20', 0, 0, 'PRESIDENTE', 'INSERT', RSP);
    p_test_presidente ('1000412', '01/08/20', 0, 0, 'PRESIDENTE', 'INSERT', RSP);
    p_test_presidente ('1000450', '01/08/20', 0, 0, 'PRESIDENTE', 'INSERT', RSP);
    p_test_presidente ('1000450', '01/08/20', -1, 0, 'PRESIDENTE', 'UPDATE', RSP);
    p_test_presidente ('1000450', '01/08/20', 0, -3, 'PRESIDENTE', 'UPDATE', RSP);
    p_test_presidente ('1000450', '01/08/20', 0, 0, 'PRESIDENTE', 'DELETE', RSP);
END;
/


-- Datos test de la tabla Compuesta

DECLARE
RSP varchar2(150 char);

BEGIN
    p_test_compuesta (NULL, '01/01/11', '1000014', '31/03/11', '04/04/11', '04/04/11', '04/04/11', '04/04/11', '05/04/11', 'COMPUESTA', 'INSERT', RSP);
    p_test_compuesta ('mesa1', NULL, '1000014', '31/03/11', '04/04/11', '04/04/11', '04/04/11', '04/04/11', '05/04/11', 'COMPUESTA', 'INSERT', RSP);
    p_test_compuesta ('mesa1', '01/01/11', NULL, '31/03/11', '04/04/11', '04/04/11', '04/04/11', '04/04/11', '05/04/11', 'COMPUESTA', 'INSERT', RSP);
    p_test_compuesta ('mesa1', '01/01/11', '1000014', NULL, '04/04/11', '04/04/11', '04/04/11', '04/04/11', '05/04/11', 'COMPUESTA', 'INSERT', RSP);
    p_test_compuesta ('mesa1', '01/01/11', '1000014', '31/03/11', '07/04/11', '04/04/11', '04/04/11', '04/04/11', '05/04/11', 'COMPUESTA', 'UPDATE', RSP);
    p_test_compuesta ('mesa1', '01/01/11', '1000014', '31/03/11', '04/04/11', '04/04/11', '09/04/11', '04/04/11', '05/04/11', 'COMPUESTA', 'UPDATE', RSP);
    p_test_compuesta ('mesa1', '01/01/11', '1000014', '31/03/11', '04/04/11', '04/04/11', '04/04/11', '04/04/11', '12/04/11', 'COMPUESTA', 'UPDATE', RSP);
    p_test_compuesta ('mesa1', '01/01/11', '1000000', '31/03/11', '04/04/11', '04/04/11', '04/04/11', '04/04/11', '04/04/11', 'COMPUESTA', 'INSERT', RSP);
    p_test_compuesta ('mesa1', '01/01/11', '1000000', '31/03/11', '04/04/11', '04/04/11', '04/04/11', '04/04/11', '04/04/11', 'COMPUESTA', 'DELETE', RSP);
END;
/

-- Datos test de la tabla ReglasMiembroMesa

DECLARE
RSP varchar2(150 char);

BEGIN
    p_test_reglas_miembro_mesa(NULL, 26,'Regla26', 'REGLASMIEMBROMESA', 'INSERT' ,RSP);
    p_test_reglas_miembro_mesa('mesa1', NULL,'Regla26', 'REGLASMIEMBROMESA', 'INSERT' ,RSP);
    p_test_reglas_miembro_mesa('mesa1', 26,'Regla26', 'REGLASMIEMBROMESA', 'INSERT' ,RSP);
    p_test_reglas_miembro_mesa('mesa1', 26,'Regla26', 'REGLASMIEMBROMESA', 'UPDATE' ,RSP);
    p_test_reglas_miembro_mesa('mesa1', 10,'Regla26', 'REGLASMIEMBROMESA', 'DELETE' ,RSP);
    
END;
/

-- Datos test de la tabla OrganizacionPolitica

DECLARE
RSP varchar2(150 char);

BEGIN
   p_test_org_politica (NULL, 'Partido Politico', 'Partido1', 'web1', 'Nacional', 'Fines1', 'REGLASMIEMBROMESA', 'INSERT' ,RSP);
   p_test_org_politica ('AAA', NULL, 'Partido1', 'web1', 'Nacional', 'Fines1', 'REGLASMIEMBROMESA', 'INSERT' ,RSP);
   p_test_org_politica ('AAA', 'Partido Politico', NULL, 'web1', 'Nacional', 'Fines1', 'REGLASMIEMBROMESA', 'INSERT' ,RSP);
   p_test_org_politica ('AAA', 'Partido Politico', 'Partido1', NULL, 'Nacional', 'Fines1', 'REGLASMIEMBROMESA', 'INSERT' ,RSP);
   p_test_org_politica ('AAA', 'Partido Politico', 'Partido1', 'web1', NULL, 'Fines1', 'REGLASMIEMBROMESA', 'INSERT' ,RSP);
   p_test_org_politica ('AAA', 'Partido Politico', 'Partido1', 'web1', 'Nacional', NULL, 'REGLASMIEMBROMESA', 'INSERT' ,RSP);
   p_test_org_politica ('p7', 'Grupo de amiguetes', 'Partido7', 'web1', 'Nacional', 'Fines7', 'REGLASMIEMBROMESA', 'INSERT' ,RSP);
   p_test_org_politica ('p7', 'Partido Politico', 'Partido7', 'web1', 'Nacional', 'Fines7', 'REGLASMIEMBROMESA', 'INSERT' ,RSP);
   p_test_org_politica ('p7', 'Partido Politico', 'Partido7', 'web1', 'Nacional', 'Fines7', 'REGLASMIEMBROMESA', 'UPDATE' ,RSP);
   p_test_org_politica ('p7', 'Partido Politico', 'Partido7', 'web1', 'Nacional', 'Fines7', 'REGLASMIEMBROMESA', 'DELETE' ,RSP);
END;
/

-- Datos test de la tabla Presentacion

DECLARE
RSP varchar2(150 char);

BEGIN
   p_test_presentacion (NULL, '01/01/2011', 'AAA', 'Generales', 'municipio1', '31/03/11', '04/04/11', 'PRESENTACION', 'INSERT' ,RSP);
   p_test_presentacion ('1000005', NULL, 'AAA', 'Generales', 'municipio1', '31/03/11', '04/04/11',  'PRESENTACION', 'INSERT' ,RSP);
   p_test_presentacion ('1000005', '01/01/2011', NULL, 'Generales', 'municipio1', '31/03/11', '04/04/11',  'PRESENTACION', 'INSERT' ,RSP);
   p_test_presentacion ('1000005', '01/01/2011', 'AAA', NULL, 'municipio1', '31/03/11', '04/04/11', 'PRESENTACION', 'INSERT' ,RSP);
   p_test_presentacion ('1000005', '01/01/2011', 'AAA', 'Generales', NULL, '31/03/11', '04/04/11', 'PRESENTACION', 'INSERT' ,RSP);
   p_test_presentacion ('1000005', '01/01/2011', 'AAA', 'Generales', 'municipio1', NULL, '04/04/11',  'PRESENTACION', 'INSERT' ,RSP);
   p_test_presentacion ('1000084', '01/01/2011', 'AAA', 'Generales', 'municipio1', '31/03/11', '10/04/11',  'PRESENTACION', 'INSERT' ,RSP);
   p_test_presentacion ('1000084', '01/01/2011', 'AAA', 'Generales', 'municipio1', '31/03/11', '04/04/11',  'PRESENTACION', 'INSERT' ,RSP);
   p_test_presentacion ('1000084', '01/01/2011', 'PDE', 'Generales', 'municipio1', '31/03/11', '04/04/11',  'PRESENTACION', 'UPDATE' ,RSP);
   p_test_presentacion ('1000084', '01/01/2011', 'PDE', 'Generales', 'municipio1', '31/03/11', '04/04/11',  'PRESENTACION', 'DELETE' ,RSP);
END;
/

-- Datos test de la tabla Informada

DECLARE
RSP varchar2(150 char);

BEGIN
   p_test_informada (NULL, '01/01/11', '18/03/11', 'Entra en web y vota', 'mesa1', 'INFORMADA', 'INSERT' ,RSP);
   p_test_informada ('1000014', NULL, '18/03/11', 'Entra en web y vota', 'mesa1', 'INFORMADA', 'INSERT' ,RSP);
   p_test_informada ('1000014', '01/01/11', NULL, 'Entra en web y vota', 'mesa1', 'INFORMADA', 'INSERT' ,RSP);
   p_test_informada ('1000012', '01/01/11', '18/03/11', 'Entra en web y vota', 'mesa1', 'INFORMADA', 'INSERT' ,RSP);
   p_test_informada ('1000012', '01/01/11', '18/03/11', 'Entra en web y vota', 'mesa1', 'INFORMADA', 'UPDATE' ,RSP);
   p_test_informada ('1000012', '01/01/11', '18/03/11', 'Entra en web y vota', 'mesa1', 'INFORMADA', 'DELETE' ,RSP);
END;
/


-- Datos test de la tabla Vota

DECLARE
RSP varchar2(150 char);

BEGIN
   p_test_vota (NULL, '01/01/11', 'mesa9', 'Presencial', '30/04/11 09:00:00', '30/04/11 09:17:17', 'VOTA', 'INSERT' ,RSP);
   p_test_vota ('1000398', NULL, 'mesa9', 'Presencial', '30/04/11 09:00:00', '30/04/11 09:17:17', 'VOTA', 'INSERT' ,RSP);
   p_test_vota ('1000398', '01/01/11', NULL, 'Presencial', '30/04/11 09:00:00', '30/04/11 09:17:17', 'VOTA', 'INSERT' ,RSP);
   p_test_vota ('1000398', '01/01/11', 'mesa9', NULL, '30/04/11 09:00:00', '30/04/11 09:17:17', 'VOTA', 'INSERT' ,RSP);
   p_test_vota ('1000398', '01/01/11', 'mesa9', 'Presencial', NULL, '30/04/11 09:17:17', 'VOTA', 'INSERT' ,RSP);
   p_test_vota ('1000398', '01/01/11', 'mesa9', 'Presencial', '30/04/11 09:00:00', NULL, 'VOTA', 'INSERT' ,RSP);
   p_test_vota ('1000398', '01/01/11', 'mesa9', 'Presencial', '30/04/11 09:00:00', '30/04/11 21:17:17', 'VOTA', 'UPDATE' ,RSP);
   p_test_vota ('1000398', '01/01/11', 'mesa9', 'Presencial', '30/04/11 09:00:00', '30/04/11 09:17:17', 'VOTA', 'UPDATE' ,RSP);
   p_test_vota ('1000398', '01/01/11', 'mesa9', 'Presencial', '30/04/11 09:00:00', '30/04/11 09:17:17', 'VOTA', 'DELETE' ,RSP);
   p_test_vota ('1000398', '01/01/11', 'mesa9', 'Presencial', '30/04/11 09:00:00', '30/04/11 09:17:17', 'VOTA', 'INSERT' ,RSP);
END;
/

-- Datos test de la tabla RecibeVoto

DECLARE
RSP varchar2(150 char);

BEGIN
   p_test_recibevoto (NULL, 'mesa9', '30/04/11 20:00:00', '30/04/11 23:14:24', 0, 0, 'RECIBEVOTO', 'INSERT' ,RSP);
   p_test_recibevoto ('BBB', NULL, '30/04/11 20:00:00', '30/04/11 23:14:24', 0, 0, 'RECIBEVOTO', 'INSERT' ,RSP);
   p_test_recibevoto ('BBB', 'mesa9', NULL, '30/04/11 23:14:24', 0, 0, 'RECIBEVOTO', 'INSERT' ,RSP);
   p_test_recibevoto ('BBB', 'mesa9', '30/04/11 20:00:00', NULL, 0, 0, 'RECIBEVOTO', 'INSERT' ,RSP);
   p_test_recibevoto ('BBB', 'mesa9', '30/04/11 20:00:00', '30/04/11 23:14:24', NULL, 0, 'RECIBEVOTO', 'INSERT' ,RSP);
   p_test_recibevoto ('BBB', 'mesa9', '30/04/11 20:00:00', '30/04/11 23:14:24', 0, NULL, 'RECIBEVOTO', 'INSERT' ,RSP);
   p_test_recibevoto ('BBB', 'mesa9', '30/04/11 20:00:00', '30/04/11 23:14:24', 2, 0, 'RECIBEVOTO', 'INSERT' ,RSP);
   p_test_recibevoto ('BBB', 'mesa9', '30/04/11 20:00:00', '30/04/11 23:14:24', 0, 3, 'RECIBEVOTO', 'INSERT' ,RSP);
   p_test_recibevoto ('BBB', 'mesa9', '30/04/11 20:00:00', '12/05/11 23:14:24', 0, 0, 'RECIBEVOTO', 'UPDATE' ,RSP);
   p_test_recibevoto ('BBB', 'mesa9', '30/04/11 20:00:00', '30/04/11 23:14:24', 0, 0, 'RECIBEVOTO', 'DELETE' ,RSP);
   p_test_recibevoto ('BBB', 'mesa9', '30/04/11 20:00:00', '30/04/11 23:14:24', 0, 0, 'RECIBEVOTO', 'INSERT' ,RSP);
END;
/