-- Trigger de mantenimiento de la tabla CONVOCATORIA

create or replace TRIGGER "TR_MANT_CONVOCATORIA" AFTER INSERT OR UPDATE OR DELETE
ON CONVOCATORIA
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_convocatoria';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'CONVOCATORIA';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.FECHACONVBOE <> :OLD.FECHACONVBOE OR :NEW.FECHAELECCIONES <> :OLD.FECHAELECCIONES
        OR :NEW.AMBITO <> :OLD.AMBITO OR :NEW.FECHACENSO <> :OLD.FECHACENSO OR
        :NEW.REGLACALCRESULTADO <> :OLD.REGLACALCRESULTADO) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_convocatoria;


-- Trigger de mantenimiento de la tabla REGLASELECCIONES
create or replace TRIGGER "TR_MANT_REGLASELECCIONES" AFTER INSERT OR UPDATE OR DELETE
ON REGLASELECCIONES
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_REGLASELECCIONES';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'REGLASELECCIONES';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.FECHACONVBOE <> :OLD.FECHACONVBOE OR :NEW.AMBITO <> :OLD.AMBITO 
            OR :NEW.NREGLA <> :OLD.NREGLA OR
            :NEW.REGLA <> :OLD.REGLA) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_REGLASELECCIONES;


-- Trigger de mantenimiento de la tabla DEMARCACION

create or replace TRIGGER "TR_MANT_DEMARCACION" AFTER INSERT OR UPDATE OR DELETE
ON DEMARCACION
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_DEMARCACION';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'DEMARCACION';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.PAIS <> :OLD.PAIS OR :NEW.REGION <> :OLD.REGION 
            OR :NEW.PROVINCIA <> :OLD.PROVINCIA) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_DEMARCACION;

-- Trigger de mantenimiento de la tabla Recibe

create or replace TRIGGER "TR_MANT_Recibe" AFTER INSERT OR UPDATE OR DELETE
ON Recibe
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_Recibe';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'Recibe';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.fechaConvBOE <> :OLD.fechaConvBOE OR :NEW.ambito <> :OLD.ambito 
            OR :NEW.PROVINCIA <> :OLD.PROVINCIA OR :NEW.numEscanos <> :OLD.numEscanos) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_Recibe;


-- Trigger de mantenimiento de la tabla CentroVotacion

create or replace TRIGGER "TR_MANT_CentroVotacion" AFTER INSERT OR UPDATE OR DELETE
ON CentroVotacion
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_CentroVotacion';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'CentroVotacion';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.municipio <> :OLD.municipio  
            OR :NEW.PROVINCIA <> :OLD.PROVINCIA) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_CentroVotacion;

-- Trigger de mantenimiento de la tabla ComunicacionPersonal

create or replace TRIGGER "TR_MANT_ComunicacionPersonal" AFTER INSERT OR UPDATE OR DELETE
ON ComunicacionPersonal
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_ComunicacionPersonal';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'ComunicacionPersonal';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.fechaComPersonal <> :OLD.fechaComPersonal) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_ComunicacionPersonal;

-- Trigger de mantenimiento de la tabla CensoElectoral

create or replace TRIGGER "TR_MANT_CensoElectoral" AFTER INSERT OR UPDATE OR DELETE
ON CensoElectoral
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_CensoElectoral';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'CensoElectoral';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.fechaCierre <> :OLD.fechaCierre) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_CensoElectoral;

-- Trigger de mantenimiento de la tabla MesaElectoral

create or replace TRIGGER "TR_MANT_MesaElectoral" AFTER INSERT OR UPDATE OR DELETE
ON MesaElectoral
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_MesaElectoral';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'MesaElectoral';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.mesaId <> :OLD.mesaId OR :NEW.fechaProceso <> :OLD.fechaProceso OR 
            :NEW.ambito <> :OLD.ambito OR :NEW.codigoPostal <> :OLD.codigoPostal OR
            :NEW.calle <> :OLD.calle OR :NEW.numero <> :OLD.numero OR
            :NEW.municipio <> :OLD.municipio OR :NEW.demarcacion <> :OLD.demarcacion OR
            :NEW.numerovotantes <> :OLD.numerovotantes OR :NEW.numerovotos <> :OLD.numerovotos) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_MesaElectoral;


-- Trigger de mantenimiento de la tabla Persona

create or replace TRIGGER "TR_MANT_Persona" AFTER INSERT OR UPDATE OR DELETE
ON Persona
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_Persona';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'Persona';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.DNI <> :OLD.DNI OR :NEW.fechaCierre <> :OLD.fechaCierre OR 
            :NEW.nombre <> :OLD.nombre OR :NEW.apellidos <> :OLD.apellidos OR
            :NEW.sexo <> :OLD.sexo OR :NEW.nacionalidad <> :OLD.nacionalidad OR
            :NEW.fechaNacimiento <> :OLD.fechaNacimiento OR :NEW.lugarNacimiento <> :OLD.lugarNacimiento OR
            :NEW.estudios <> :OLD.estudios OR :NEW.telefono <> :OLD.telefono OR
            :NEW.procesado <> :OLD.procesado OR :NEW.direccion <> :OLD.direccion) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_Persona;

-- Trigger de mantenimiento de la tabla Candidato

create or replace TRIGGER "TR_MANT_Candidato" AFTER INSERT OR UPDATE OR DELETE
ON Candidato
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_Candidato';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'Candidato';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.DNI <> :OLD.DNI OR :NEW.fechaCierre <> :OLD.fechaCierre OR
            :NEW.esSuplente <> :OLD.esSuplente) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_Candidato;

-- Trigger de mantenimiento de la tabla Presidente

create or replace TRIGGER "TR_MANT_Presidente" AFTER INSERT OR UPDATE OR DELETE
ON Presidente
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_Presidente';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'Presidente';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.DNI <> :OLD.DNI OR :NEW.fechaCierre <> :OLD.fechaCierre OR
            :NEW.numAlegaciones <> :OLD.numAlegaciones OR :NEW.numParticipaciones <> :OLD.numParticipaciones) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_Presidente;

-- Trigger de mantenimiento de la tabla Vocal

create or replace TRIGGER "TR_MANT_Vocal" AFTER INSERT OR UPDATE OR DELETE
ON Vocal
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_Vocal';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'Vocal';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.DNI <> :OLD.DNI OR :NEW.fechaCierre <> :OLD.fechaCierre OR
            :NEW.numAlegaciones <> :OLD.numAlegaciones OR :NEW.numParticipaciones <> :OLD.numParticipaciones) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_Vocal;

-- Trigger de mantenimiento de la tabla Suplente

create or replace TRIGGER "TR_MANT_Suplente" AFTER INSERT OR UPDATE OR DELETE
ON Suplente
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_Suplente';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'Suplente';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.DNI <> :OLD.DNI OR :NEW.fechaCierre <> :OLD.fechaCierre OR
            :NEW.numAlegaciones <> :OLD.numAlegaciones OR :NEW.numParticipaciones <> :OLD.numParticipaciones) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_Suplente;

-- Trigger de mantenimiento de la tabla Compuesta

create or replace TRIGGER "TR_MANT_Compuesta" AFTER INSERT OR UPDATE OR DELETE
ON Compuesta
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_Compuesta';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'Compuesta';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.DNI <> :OLD.DNI OR :NEW.fechaCierre <> :OLD.fechaCierre OR
            :NEW.mesaId <> :OLD.mesaId OR :NEW.fechaIniSorteo <> :OLD.fechaIniSorteo OR
            :NEW.fechaSorteo <> :OLD.fechaSorteo OR :NEW.fechaIniNotif <> :OLD.fechaIniNotif OR
            :NEW.fechaNotif <> :OLD.fechaNotif OR :NEW.fechaIniAlegac <> :OLD.fechaIniAlegac OR
            :NEW.fechaAlegacion <> :OLD.fechaAlegacion) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN


-- Trigger de mantenimiento de la tabla ReglasMiembroMesa

create or replace TRIGGER "TR_MANT_ReglasMiembroMesa" AFTER INSERT OR UPDATE OR DELETE
ON ReglasMiembroMesa
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_ReglasMiembroMesa';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'ReglasMiembroMesa';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.mesaId <> :OLD.mesaId OR :NEW.nRegla <> :OLD.nRegla OR 
        :NEW.regla <> :OLD.regla) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_ReglasMiembroMesa;
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_Compuesta;

-- Trigger de mantenimiento de la tabla OrganizacionPolitica

create or replace TRIGGER "TR_MANT_OrganizacionPolitica" AFTER INSERT OR UPDATE OR DELETE
ON OrganizacionPolitica
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_OrganizacionPolitica';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'OrganizacionPolitica';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.siglas <> :OLD.siglas OR :NEW.tipo <> :OLD.tipo OR
            :NEW.denominacion <> :OLD.denominacion OR :NEW.web <> :OLD.web OR
            :NEW.ambitoActuacion <> :OLD.ambitoActuacion OR :NEW.fines <> :OLD.fines) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_OrganizacionPolitica;


-- Trigger de mantenimiento de la tabla Presentacion

create or replace TRIGGER "TR_MANT_Presentacion" AFTER INSERT OR UPDATE OR DELETE
ON Presentacion
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_Presentacion';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'Presentacion';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.DNI <> :OLD.DNI OR :NEW.fechaCierre <> :OLD.fechaCierre OR
            :NEW.siglas <> :OLD.siglas OR :NEW.ambito <> :OLD.ambito OR
            :NEW.municipio <> :OLD.municipio OR :NEW.fechaIniCandidatura <> :OLD.fechaIniCandidatura OR
            :NEW.fechaCandidatura <> :OLD.fechaCandidatura) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_Presentacion;

-- Trigger de mantenimiento de la tabla Informada

create or replace TRIGGER "TR_MANT_Informada" AFTER INSERT OR UPDATE OR DELETE
ON Informada
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_Informada';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'Informada';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.DNI <> :OLD.DNI OR :NEW.fechaCierre <> :OLD.fechaCierre OR
            :NEW.fechaComPersonal <> :OLD.fechaComPersonal OR :NEW.votoElectrInfo <> :OLD.votoElectrInfo OR
            :NEW.mesaId <> :OLD.mesaId) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_Informada;

-- Trigger de mantenimiento de la tabla Vota

create or replace TRIGGER "TR_MANT_Vota" AFTER INSERT OR UPDATE OR DELETE
ON Vota
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_Vota';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'Vota';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.DNI <> :OLD.DNI OR :NEW.fechaCierre <> :OLD.fechaCierre OR
            :NEW.lugarVoto <> :OLD.lugarVoto OR :NEW.horaIniVoto <> :OLD.horaIniVoto OR
            :NEW.mesaId <> :OLD.mesaId OR :NEW.horaVoto <> :OLD.horaVoto ) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_Vota;

-- Trigger de mantenimiento de la tabla RecibeVoto

create or replace TRIGGER "TR_MANT_RecibeVoto" AFTER INSERT OR UPDATE OR DELETE
ON RecibeVoto
FOR EACH ROW
DECLARE
v_tr_act VARCHAR2 (50 CHAR) := 'tr_mant_RecibeVoto';
v_operac VARCHAR2(10 CHAR);
v_result VARCHAR2(200 CHAR);
v_tabla_mod VARCHAR2 (50 CHAR) := 'RecibeVoto';
BEGIN
    IF INSERTING THEN
    v_operac := 'INSERT';
    v_result := 'OK';
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
    ELSIF UPDATING THEN
    v_operac := 'UPDATE';
    -- Solo se registra la operación si al menos se modifica un campo.
        IF (:NEW.siglas <> :OLD.siglas OR :NEW.mesaId <> :OLD.mesaId OR
            :NEW.horaIniRecuento <> :OLD.horaIniRecuento OR :NEW.horaRecuento <> :OLD.horaRecuento OR
            :NEW.esNulo <> :OLD.esNulo OR :NEW.esBlanco <> :OLD.esBlanco ) THEN
        v_result := 'OK';
        INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
        END IF;
    ELSE 
    v_operac := 'DELETE';
    v_result := 'OK';
   -- Se inserta directamente en la tabla de mantenimiento
    INSERT INTO MANTENIMIENTO_LOG(trigger_activado, tabla_afectada, tipo_operac, resultado)
            VALUES(v_tr_act, v_tabla_mod, v_operac, v_result);
     END IF;
EXCEPTION
     WHEN OTHERS THEN
     -- Se recoge el error pero no se inserta en la tabla de mantenimiento
        DBMS_OUTPUT.put_line ('ERROR: No se ha completado la operación');   
END tr_mant_RecibeVoto;
